Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoExternalBinOp< F, External, ExternalEO > Class Template Reference

Crossover of external struct, ctor expects a function of the following signature:. More...

`#include <eoExternalOpFunctions.h>`

Inheritance diagram for eoExternalBinOp< F, External, ExternalEO >:

List of all members.

## Public Member Functions
| eoExternalBinOp (bool(*_binop)(External &, const External &))
bool | operator() (ExternalEO &eo1, const ExternalEO &eo2)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
bool(* | binop )(External &, const External &)

## Detailed Description

### template<class F, class External, class ExternalEO = eoExternalEO<F, External>>
class eoExternalBinOp< F, External, ExternalEO >

Crossover of external struct, ctor expects a function of the following signature:.

bool func(External&, const External&);

Where External is the user defined struct or class The function should return true when it changed something, false otherwise

Definition at line 128 of file eoExternalOpFunctions.h.

The documentation for this class was generated from the following file:

- eoExternalOpFunctions.h